%define upstream_name    Test-DistManifest
%define upstream_version 1.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Verify MANIFEST as an author test
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Manifest) >= 0.70.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(Test::NoWarnings) >= 0.84.0
BuildArch:  noarch

%description
This module provides a simple method of testing that a MANIFEST matches the
distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README examples
%license LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.14.0-8.mga10
+ Revision: 2235230
- Mageia 10 Mass Rebuild

* Fri Jan 31 2025 daviddavid <daviddavid> 1.14.0-7.mga10
+ Revision: 2143981
- rebuild for perl 5.40

* Sun Mar 20 2022 umeabot <umeabot> 1.14.0-6.mga9
+ Revision: 1806095
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.14.0-5.mga8
+ Revision: 1497342
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.14.0-4.mga7
+ Revision: 1271745
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.14.0-3.mga6
+ Revision: 1034278
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.14.0-2.mga6
+ Revision: 967142
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.14.0-1.mga6
+ Revision: 848197
- update to 1.014

* Sun Dec 14 2014 sander85 <sander85> 1.12.0-7.mga5
+ Revision: 803122
- Remove more debuginfo remnants (from Fedora)

* Sun Oct 19 2014 umeabot <umeabot> 1.12.0-6.mga5
+ Revision: 788901
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.12.0-5.mga5
+ Revision: 745839
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12.0-4.mga5
+ Revision: 686427
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.12.0-3.mga4
+ Revision: 515165
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.12.0-2.mga3
+ Revision: 373463
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.12.0-1.mga3
+ Revision: 255510
- update to 1.012

* Fri Jun 17 2011 jquelin <jquelin> 1.11.0-1.mga2
+ Revision: 108956
- update to 1.011

* Fri Jan 21 2011 jquelin <jquelin> 1.9.0-1.mga1
+ Revision: 29299
- mageia rebuild
- imported package perl-Test-DistManifest

